Create Signaling Session Token
Create Signaling Session Token. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Create Signaling Session Token. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/servers.createSignalingSessionToken" \ -H "Content-Type: application/json" \ -d '{ "serverId": "string" }'{ "result": { "data": { "expiresAtMs": 0, "token": "string" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Create Server POST
Create Server. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Delete Console Command Bookmark POST
Delete Console Command Bookmark. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.